## r-bioc-biocsingular 1.4.0+ds

=== DESCRIPTION ===
Package: BiocSingular
Version: 1.4.0
Date: 2020-02-13
Title: Singular Value Decomposition for Bioconductor Packages
Authors@R: c(person("Aaron", "Lun", role=c("aut", "cre", "cph"),
        email="infinite.monkeys.with.keyboards@gmail.com"))
Imports: BiocGenerics, S4Vectors, Matrix, methods, utils, DelayedArray,
        BiocParallel, irlba, rsvd, Rcpp
Suggests: testthat, BiocStyle, knitr, rmarkdown, beachmat
biocViews: Software, DimensionReduction, PrincipalComponent
Description: Implements exact and approximate methods for singular value
        decomposition and principal components analysis, in a framework that
        allows them to be easily switched within Bioconductor packages or 
        workflows. Where possible, parallelization is achieved using 
        the BiocParallel framework.
License: GPL-3
LinkingTo: Rcpp, beachmat
VignetteBuilder: knitr
SystemRequirements: C++11
RoxygenNote: 7.0.2
BugReports: https://github.com/LTLA/BiocSingular/issues
URL: https://github.com/LTLA/BiocSingular
git_url: https://git.bioconductor.org/packages/BiocSingular
git_branch: RELEASE_3_11
git_last_commit: 74955b8
git_last_commit_date: 2020-04-27
Date/Publication: 2020-04-27
NeedsCompilation: yes
Packaged: 2020-04-28 03:59:18 UTC; biocbuild
Author: Aaron Lun [aut, cre, cph]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-biocsingular (1.4.0+ds-2) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 06 Aug 2020 13:58:37 +0200

r-bioc-biocsingular (1.4.0+ds-1) unstable; urgency=medium

  * Initial release (closes: #966452)

 -- Steffen Moeller <moeller@debian.org>  Tue, 16 Jun 2020 19:45:41 +0200

## r-bioc-biocsingular 1.6.0+ds

=== DESCRIPTION ===
Package: BiocSingular
Version: 1.6.0
Date: 2020-09-30
Title: Singular Value Decomposition for Bioconductor Packages
Authors@R: c(person("Aaron", "Lun", role=c("aut", "cre", "cph"),
        email="infinite.monkeys.with.keyboards@gmail.com"))
Imports: BiocGenerics, S4Vectors, Matrix, methods, utils, DelayedArray,
        BiocParallel, irlba, rsvd, Rcpp, beachmat
Suggests: testthat, BiocStyle, knitr, rmarkdown, ResidualMatrix
biocViews: Software, DimensionReduction, PrincipalComponent
Description: Implements exact and approximate methods for singular value
        decomposition and principal components analysis, in a framework that
        allows them to be easily switched within Bioconductor packages or 
        workflows. Where possible, parallelization is achieved using 
        the BiocParallel framework.
License: GPL-3
LinkingTo: Rcpp, beachmat
VignetteBuilder: knitr
SystemRequirements: C++11
RoxygenNote: 7.1.1
BugReports: https://github.com/LTLA/BiocSingular/issues
URL: https://github.com/LTLA/BiocSingular
git_url: https://git.bioconductor.org/packages/BiocSingular
git_branch: RELEASE_3_12
git_last_commit: 11baf10
git_last_commit_date: 2020-10-27
Date/Publication: 2020-10-27
NeedsCompilation: yes
Packaged: 2020-10-27 22:43:53 UTC; biocbuild
Author: Aaron Lun [aut, cre, cph]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-biocsingular (1.6.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 03 Nov 2020 09:37:08 +0100

=== debian/control ===
Source: r-bioc-biocsingular
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics,
               r-bioc-s4vectors,
               r-cran-matrix,
               r-bioc-delayedarray,
               r-bioc-biocparallel,
               r-cran-irlba,
               r-cran-rsvd,
               r-cran-rcpp,
               r-bioc-beachmat
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocsingular
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocsingular.git
Homepage: https://bioconductor.org/packages/BiocSingular/
Rules-Requires-Root: no

Package: r-bioc-biocsingular
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Singular Value Decomposition for Bioconductor Packages
 Implements exact and approximate methods for singular value
 decomposition and principal components analysis, in a framework that
 allows them to be easily switched within Bioconductor packages or
 workflows. Where possible, parallelization is achieved using
 the BiocParallel framework.

## r-bioc-biocsingular 1.10.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Package: BiocSingular
-Version: 1.6.0
-Date: 2020-09-30
+Version: 1.10.0
+Date: 2021-06-07
 Title: Singular Value Decomposition for Bioconductor Packages
 Authors@R: c(person("Aaron", "Lun", role=c("aut", "cre", "cph"),
         email="infinite.monkeys.with.keyboards@gmail.com"))
 Imports: BiocGenerics, S4Vectors, Matrix, methods, utils, DelayedArray,
-        BiocParallel, irlba, rsvd, Rcpp, beachmat
+        BiocParallel, ScaledMatrix, irlba, rsvd, Rcpp, beachmat
 Suggests: testthat, BiocStyle, knitr, rmarkdown, ResidualMatrix
 biocViews: Software, DimensionReduction, PrincipalComponent
 Description: Implements exact and approximate methods for singular value
@@ -21,11 +21,11 @@
 BugReports: https://github.com/LTLA/BiocSingular/issues
 URL: https://github.com/LTLA/BiocSingular
 git_url: https://git.bioconductor.org/packages/BiocSingular
-git_branch: RELEASE_3_12
-git_last_commit: 11baf10
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
+git_branch: RELEASE_3_14
+git_last_commit: 6615ae8
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: yes
-Packaged: 2020-10-27 22:43:53 UTC; biocbuild
+Packaged: 2021-10-26 20:55:34 UTC; biocbuild
 Author: Aaron Lun [aut, cre, cph]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-biocsingular (1.10.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2021 11:11:50 +0100

r-bioc-biocsingular (1.8.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 12 Sep 2021 08:09:06 +0200

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,12 @@
                r-cran-matrix,
                r-bioc-delayedarray,
                r-bioc-biocparallel,
+               r-bioc-scaledmatrix,
                r-cran-irlba,
                r-cran-rsvd,
                r-cran-rcpp,
                r-bioc-beachmat
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocsingular
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocsingular.git
 Homepage: https://bioconductor.org/packages/BiocSingular/

## r-bioc-biocsingular 1.12.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: BiocSingular
-Version: 1.10.0
+Version: 1.12.0
 Date: 2021-06-07
 Title: Singular Value Decomposition for Bioconductor Packages
 Authors@R: c(person("Aaron", "Lun", role=c("aut", "cre", "cph"),
@@ -21,11 +21,11 @@
 BugReports: https://github.com/LTLA/BiocSingular/issues
 URL: https://github.com/LTLA/BiocSingular
 git_url: https://git.bioconductor.org/packages/BiocSingular
-git_branch: RELEASE_3_14
-git_last_commit: 6615ae8
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 7d1b8f4
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: yes
-Packaged: 2021-10-26 20:55:34 UTC; biocbuild
+Packaged: 2022-04-26 20:05:56 UTC; biocbuild
 Author: Aaron Lun [aut, cre, cph]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-biocsingular (1.12.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 15 May 2022 10:39:37 +0200

## r-bioc-biocsingular 1.14.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: BiocSingular
-Version: 1.12.0
-Date: 2021-06-07
+Version: 1.14.0
+Date: 2022-08-16
 Title: Singular Value Decomposition for Bioconductor Packages
 Authors@R: c(person("Aaron", "Lun", role=c("aut", "cre", "cph"),
         email="infinite.monkeys.with.keyboards@gmail.com"))
@@ -21,11 +21,11 @@
 BugReports: https://github.com/LTLA/BiocSingular/issues
 URL: https://github.com/LTLA/BiocSingular
 git_url: https://git.bioconductor.org/packages/BiocSingular
-git_branch: RELEASE_3_15
-git_last_commit: 7d1b8f4
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: 6dc42b3
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: yes
-Packaged: 2022-04-26 20:05:56 UTC; biocbuild
+Packaged: 2022-11-01 20:57:04 UTC; biocbuild
 Author: Aaron Lun [aut, cre, cph]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-biocsingular (1.14.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Disable reprotest
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 11:42:12 +0100

r-bioc-biocsingular (1.14.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 11:05:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-bioc-biocsingular
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocsingular
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocsingular.git
+Homepage: https://bioconductor.org/packages/BiocSingular/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -17,11 +21,7 @@
                r-cran-rsvd,
                r-cran-rcpp,
                r-bioc-beachmat
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocsingular
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocsingular.git
-Homepage: https://bioconductor.org/packages/BiocSingular/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-biocsingular
 Architecture: any

## r-bioc-biocsingular 1.16.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: BiocSingular
-Version: 1.14.0
+Version: 1.16.0
 Date: 2022-08-16
 Title: Singular Value Decomposition for Bioconductor Packages
 Authors@R: c(person("Aaron", "Lun", role=c("aut", "cre", "cph"),
@@ -21,11 +21,11 @@
 BugReports: https://github.com/LTLA/BiocSingular/issues
 URL: https://github.com/LTLA/BiocSingular
 git_url: https://git.bioconductor.org/packages/BiocSingular
-git_branch: RELEASE_3_16
-git_last_commit: 6dc42b3
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: 0db9a69
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: yes
-Packaged: 2022-11-01 20:57:04 UTC; biocbuild
+Packaged: 2023-04-25 20:20:29 UTC; biocbuild
 Author: Aaron Lun [aut, cre, cph]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-biocsingular (1.16.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 26 Jul 2023 18:24:13 +0200

## r-bioc-biocsingular 1.18.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocsingular
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocsingular.git
 Homepage: https://bioconductor.org/packages/BiocSingular/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-biocsingular 1.18.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: BiocSingular
-Version: 1.16.0
-Date: 2022-08-16
+Version: 1.18.0
+Date: 2023-07-07
 Title: Singular Value Decomposition for Bioconductor Packages
 Authors@R: c(person("Aaron", "Lun", role=c("aut", "cre", "cph"),
         email="infinite.monkeys.with.keyboards@gmail.com"))
@@ -16,16 +16,16 @@
 License: GPL-3
 LinkingTo: Rcpp, beachmat
 VignetteBuilder: knitr
-SystemRequirements: C++11
-RoxygenNote: 7.1.1
+SystemRequirements: C++17
+RoxygenNote: 7.2.3
 BugReports: https://github.com/LTLA/BiocSingular/issues
 URL: https://github.com/LTLA/BiocSingular
 git_url: https://git.bioconductor.org/packages/BiocSingular
-git_branch: RELEASE_3_17
-git_last_commit: 0db9a69
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: 53deff4
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: yes
-Packaged: 2023-04-25 20:20:29 UTC; biocbuild
+Packaged: 2023-10-24 20:27:00 UTC; biocbuild
 Author: Aaron Lun [aut, cre, cph]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-biocsingular (1.18.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 14:27:26 +0100

## r-bioc-biocsingular 1.20.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: BiocSingular
-Version: 1.18.0
+Version: 1.20.0
 Date: 2023-07-07
 Title: Singular Value Decomposition for Bioconductor Packages
 Authors@R: c(person("Aaron", "Lun", role=c("aut", "cre", "cph"),
@@ -21,11 +21,12 @@
 BugReports: https://github.com/LTLA/BiocSingular/issues
 URL: https://github.com/LTLA/BiocSingular
 git_url: https://git.bioconductor.org/packages/BiocSingular
-git_branch: RELEASE_3_18
-git_last_commit: 53deff4
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: c5dafa5
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: yes
-Packaged: 2023-10-24 20:27:00 UTC; biocbuild
+Packaged: 2024-05-01 02:46:21 UTC; biocbuild
 Author: Aaron Lun [aut, cre, cph]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-biocsingular (1.20.0+ds-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 21:22:21 +0200

r-bioc-biocsingular (1.20.0+ds-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 11:53:28 +0200

r-bioc-biocsingular (1.20.0+ds-1~0exp) experimental; urgency=low

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Jul 2024 10:37:01 +0200

=== debian/control ===
--- 
+++ 
@@ -9,27 +9,36 @@
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
+               architecture-is-64-bit,
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics,
-               r-bioc-s4vectors,
+               r-bioc-biocgenerics (>= 0.50.0),
+               r-bioc-s4vectors (>= 0.42.1),
                r-cran-matrix,
-               r-bioc-delayedarray,
-               r-bioc-biocparallel,
-               r-bioc-scaledmatrix,
+               r-bioc-delayedarray (>= 0.30.1),
+               r-bioc-biocparallel (>= 1.38.0),
+               r-bioc-scaledmatrix (>= 1.12.0),
                r-cran-irlba,
                r-cran-rsvd,
                r-cran-rcpp,
-               r-bioc-beachmat
+               r-bioc-beachmat (>= 2.20.0)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-biocsingular
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-biocgenerics (>= 0.50.0),
+         r-bioc-s4vectors (>= 0.42.1),
+         r-bioc-delayedarray (>= 0.30.1),
+         r-bioc-biocparallel (>= 1.38.0),
+         r-bioc-scaledmatrix (>= 1.12.0),
+         r-bioc-beachmat (>= 2.20.0)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-biocstyle (>= 2.32.1),
+          r-bioc-residualmatrix (>= 1.14.1)
 Description: Singular Value Decomposition for Bioconductor Packages
  Implements exact and approximate methods for singular value
  decomposition and principal components analysis, in a framework that

## r-bioc-biocsingular 1.22.0+ds

=== DESCRIPTION ===
Package: BiocSingular
Version: 1.22.0
Date: 2024-09-21
Title: Singular Value Decomposition for Bioconductor Packages
Authors@R: c(person("Aaron", "Lun", role=c("aut", "cre", "cph"),
        email="infinite.monkeys.with.keyboards@gmail.com"))
Imports: BiocGenerics, S4Vectors, Matrix, methods, utils, DelayedArray,
        BiocParallel, ScaledMatrix, irlba, rsvd, Rcpp, beachmat (>=
        2.21.1)
Suggests: testthat, BiocStyle, knitr, rmarkdown, ResidualMatrix
biocViews: Software, DimensionReduction, PrincipalComponent
Description: Implements exact and approximate methods for singular value
        decomposition and principal components analysis, in a framework that
        allows them to be easily switched within Bioconductor packages or 
        workflows. Where possible, parallelization is achieved using 
        the BiocParallel framework.
License: GPL-3
LinkingTo: Rcpp, beachmat, assorthead
VignetteBuilder: knitr
SystemRequirements: C++17
RoxygenNote: 7.2.3
BugReports: https://github.com/LTLA/BiocSingular/issues
URL: https://github.com/LTLA/BiocSingular
git_url: https://git.bioconductor.org/packages/BiocSingular
git_branch: RELEASE_3_20
git_last_commit: aa0f642
git_last_commit_date: 2024-10-29
Repository: Bioconductor 3.20
Date/Publication: 2024-10-29
NeedsCompilation: yes
Packaged: 2024-10-29 23:43:14 UTC; biocbuild
Author: Aaron Lun [aut, cre, cph]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-biocsingular (1.22.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 08:50:21 +0100

r-bioc-biocsingular (1.22.0+ds-1) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * d/control: add build-dep on the new assorthead package

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 28 Nov 2024 18:12:12 +0100

=== debian/control ===
Source: r-bioc-biocsingular
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocsingular
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocsingular.git
Homepage: https://bioconductor.org/packages/BiocSingular/
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics,
               r-bioc-s4vectors,
               r-cran-matrix,
               r-bioc-delayedarray,
               r-bioc-biocparallel,
               r-bioc-scaledmatrix,
               r-cran-irlba,
               r-cran-rsvd,
               r-cran-rcpp,
               r-bioc-beachmat (>= 2.21.1),
               r-bioc-assorthead,
               architecture-is-64-bit
Testsuite: autopkgtest-pkg-r

Package: r-bioc-biocsingular
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Singular Value Decomposition for Bioconductor Packages
 Implements exact and approximate methods for singular value
 decomposition and principal components analysis, in a framework that
 allows them to be easily switched within Bioconductor packages or
 workflows. Where possible, parallelization is achieved using
 the BiocParallel framework.

=== debian/watch ===
version=4
opts=repack,repacksuffix=+ds,dversionmangle=auto,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/BiocSingular.html .*/BiocSingular_(.*).tar.gz
